<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8"/>
    <title>{% block title %}{% endblock %}</title>
    {% block stylesheets %}
    {% endblock %}
    <!-- Latest compiled and minified CSS -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.5/css/bootstrap.min.css">

    <!-- Optional theme -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.5/css/bootstrap-theme.min.css">

    <!-- Latest compiled and minified JavaScript -->
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.5/js/bootstrap.min.js"></script>
    <link rel="icon" type="image/x-icon" href="{{ asset('favicon.ico') }}"/>
</head>
<body>
<div class="container">
    <div class="col-md-6 col-md-offset-3 well well-sm">
        {% if error %}
            <div>{{ error.messageKey|trans(error.messageData, 'security') }}</div>
        {% endif %}
        {% form_theme form 'StraxusCMSBundle::captcha.html.twig' %}
        <form action="{{ path('login_check') }}" method="post">
            <h2 class="form-signin-heading">Bejelentkezés</h2>
            <label for="username">Felhasználónév:</label><br>
            <input type="text" id="username" name="_username" value="{{ last_username }}" />
            <br>
            <label for="password">Jelszó:</label><br>
            <input type="password" id="password" name="_password" />

            <input type="hidden" name="_csrf_token" value="{{ csrf_token('authenticate') }}">
            <br>
            {% if attempt > 2 %}
                {{ form_widget(form.captcha) }}
            {% endif %}
            <br>
            <button type="submit">Bejelentkezés</button>
        </form>
    </div>
    {% block javascripts %}{% endblock %}
</div>
</body>
</html>
